=== debian/changelog ===
lapack (3.4.0-1~exp1) experimental; urgency=low

  * New upstream release
  * manpages removed and repack script updated (LP: #764445)
  * New packages liblapacke & liblapacke-dev (C library) added (LP: #767108)
  * Update the whole lapack documentation. Now uses the generated documentation
    produced by doxygen.
  * Package liblapack-doc-man introduced with the manpages of the function.
  * Remove the deprecated documentation.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Nov 2011 17:07:42 +0100

lapack (3.3.1-2) experimental; urgency=low

  * Standards-Version updated to version 3.9.2
  * Get ride of the dependency on libatlas-base-dev
  * Rename liblapack3gf package => liblapack3
  * Rename liblapack.so.3gf => liblapack.so.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Sep 2011 19:55:27 +0200
