=== debian/control ===
Source: lapack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:  Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), gfortran, libblas-dev (>= 1.2-7),
 doxygen, python
Standards-Version: 3.9.2
Homepage: http://www.netlib.org/lapack/
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/lapack/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-scicomp/lapack/

Package: liblapack3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapack.so.3gf, liblapack.so.3
Conflicts: lapack99, liblapack3gf
Replaces: lapack99, liblapack3gf
Description: library of linear algebra routines 3 - shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapacke
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapacke.so.3
Description: Library of linear algebra routines 3 - C lib shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language library for LAPACK.

Package: liblapacke-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapacke (= ${binary:Version})
Description: library of linear algebra routines 3 - Headers
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language headers for LAPACK.

Package: liblapack-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
 libblas-dev | libblas-3.so
Provides: liblapack-3.so
Conflicts: lapack99-dev, lapack-dev, liblapack-3.so
Replaces: lapack99-dev, lapack-dev, liblapack-3.so
Description: library of linear algebra routines 3 - static version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapack-pic
Section: libdevel
Architecture: any
Conflicts: lapack-pic, lapack3-pic
Replaces: lapack-pic, lapack3-pic
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version})
Description: library of linear algebra routines 3 - static PIC version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install liblapack-dev.  This package is provided for other
 packages, such as ATLAS, needing access to PIC versions of the lapack
 objects in their own build process.

Package: liblapack-test
Section: libdevel
Architecture: any
Conflicts: lapack-test,lapack3-test
Replaces: lapack-test,lapack3-test
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library of linear algebra routines 3 - testing programs
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing programs have been run against the
 shared library in the lapack package.  The results have been
 collected in the files test_results.  These
 programs are provided separately here so that the user can
 test and compare alternate versions of the lapack libraries,
 such as those provided by the ATLAS packages, and the lapack
 package.

Package: liblapack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: lapack-doc,lapack3-doc
Replaces: lapack-doc,lapack3-doc
Description: library of linear algebra routines 3 - documentation
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in html format.
 .
 Since version 3.4.0, the HTML documentation is generated thanks to doxygen.

Package: liblapack-doc-man
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library of linear algebra routines 3 - documentation (manual pages)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in man format.
