## lapack 3.4.1

=== debian/changelog ===
lapack (3.4.1-6) unstable; urgency=low

  * Ship liblapacke.so* in /usr/lib instead of /usr/lib/lapack. There is
    no reason to ship that library in a deeper directory since it is not
    managed by the lapack alternative. (Closes: #685312)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 21 Aug 2012 08:34:48 +0000

lapack (3.4.1-5) unstable; urgency=low

  * liblapack-test: move to devel/extra, to reflect override
  * liblapacke_no_matgen.patch: new patch; prevents inclusion of wrappers
    for MATGEN functions in liblapacke (Closes: #680428)
  * liblapack-doc: add missing "Files" field in doc-base entry

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 06 Jul 2012 11:03:55 +0000

lapack (3.4.1-4) unstable; urgency=low

  * liblapack3.prerm, liblapack3gf.prerm: avoid crash if liblapack.so.3gf
    already deleted
  * liblapack3gf transitional package:
    + move to oldlibs section (Closes: #679103)
    + mark as arch:all
  * Restore alternatives in shlibs file of liblapack3
  * Set DM-Upload-Allowed to yes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 20 Jun 2012 12:36:04 +0000

lapack (3.4.1-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Remove debug messages

  [ Sébastien Villemot ]
  * Remove lsame(3) from liblapack-doc-man (Closes: #677461)
  * Add myself to Uploaders

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 17 Jun 2012 12:01:30 +0000

lapack (3.4.1-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Update of Vcs-Svn and Vcs-Browser tags (Closes: #676281)
  
  [ Sébastien Villemot ]
  * Do not ship blas manpages in liblapack-doc-man (Closes: #677461)
  * Fix linking problem of liblapacke (Closes: #676528)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Jun 2012 22:23:50 +0200

lapack (3.4.1-1) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jun 2012 17:32:17 +0200

lapack (3.4.1-1~exp5) experimental; urgency=low

  * Fix a bad alternative link to the old library name 

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 10:27:50 +0200

lapack (3.4.1-1~exp4) experimental; urgency=low

  * Replaces and Breaks updated against the right versions of other impacted
    packages
  * Force the right version to build against libblas-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 17:21:13 +0200

lapack (3.4.1-1~exp3) experimental; urgency=low

  * Moved removal from postinst to preinst

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:05:45 +0200

lapack (3.4.1-1~exp2) experimental; urgency=low

  * Remove liblapack.so.3gf references before the install

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 May 2012 18:44:11 +0200

lapack (3.4.1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Apr 2012 17:45:44 +0200

lapack (3.4.0-1~exp3) experimental; urgency=low

  * Join modifications with blas, lapack, atlas and openblas.
    Declare the replacements of all *3gf blas & lapack implementation
    (Closes: #660607)
  * Standards-Version updated to version 3.9.3
  * graphviz is also a build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Apr 2012 19:35:10 +0200

lapack (3.4.0-1~exp2) experimental; urgency=low

  * Introduce back liblapack3gf as transitionnal package
    (Closes: #656039)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Feb 2012 11:34:47 +0100
