## lapack 3.4.1+dfsg

=== debian/changelog ===
lapack (3.4.1+dfsg-1+deb70u1) stable; urgency=low

  * recursive.patch: fix some routines which produce incorrect results in
    multithreaded environment. Thanks to Michael Banck for the fix
    (Closes: #693269)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 07 May 2013 22:38:47 +0200

lapack (3.4.1+dfsg-1) unstable; urgency=low

  * Repackage upstream tarball. Delete non-DFSG-free files:
    lapacke/examples/example_{D,Z}GESV_rowmajor.c. (Closes: #703916)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Mar 2013 21:39:13 +0100
