=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,7 @@
 	cd lapacke; \
 	$(MAKE) cleanlib; \
 	$(MAKE) CFLAGS="$(OPTOPTS) -fPIC"; \
-	mv lapacke.a $@
+	mv ../liblapacke.a $@
 
 
 liblapacke.so.$(VERS): liblapacke_pic.a 
@@ -111,7 +111,7 @@
 	cd lapacke; \
 	mkdir -p tmp; \
 	cd tmp && ar x ../$< && cd -; \
-	$(GCC) -shared -Wl,-soname=liblapacke.so.$(SO) -o $@ tmp/*.o  -L. -lblas -llapack; \
+	$(GCC) -shared -Wl,-soname=liblapacke.so.$(SO) -o $@ tmp/*.o  -L.. -lblas -llapack; \
 	rm -rf tmp
 
 liblapacke.so.$(SO): liblapacke.so.$(VERS)
@@ -126,7 +126,6 @@
 	echo "Building liblapacke.a"
 	cd lapacke; \
 	$(MAKE) CFLAGS="$(OPTOPTS)"; \
-	mv lapacke.a $@
 
 BF:=liblapack.a liblapack_pic.a liblapack.so  liblapacke.a  liblapacke_pic.a liblapacke.so 
 build: $(BF) make.inc
@@ -267,6 +266,7 @@
 	dh_installman -i -pliblapack-doc
 	dh_installchangelogs -i
 	dh_link -i
+	dh_lintian -i
 	dh_strip -i
 	dh_compress -i
 	dh_fixperms -i
@@ -288,10 +288,12 @@
 	dh_installman -a -pliblapack-test
 	dh_installchangelogs -a
 	dh_link -a
+	dh_lintian -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a
+	dh_makeshlibs -a -pliblapack3 -V "liblapack3 | liblapack.so.3 | libatlas3-base" -n
+	dh_makeshlibs -a -Nliblapack3
 	dh_installdeb -a
 	dh_shlibdeps -a -l $$(pwd)
 	dh_gencontrol -a
