=== debian/watch ===
version=3
# downloadurlmangle and filenamemangle are mandatory because the lapack website
# of the full version doesn't contain the version in the name
# Then, we get the right version from the lite version of lapack but we 
# download the full one.
opts=pasv,dversionmangle=s/\+dfsg$// \
ftp://netlib.org/lapack/ lapack-([\d\.]+)\.tgz debian debian/orig-tar.sh
