## lapack 3.4.2

=== debian/changelog ===
lapack (3.4.2-1~exp3) experimental; urgency=low

  * Build-arch target was not working

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Sep 2012 20:14:59 +0200

lapack (3.4.2-1~exp2) experimental; urgency=low

  * Remove an override of a rule which was failing all builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Sep 2012 09:56:28 +0200

lapack (3.4.2-1~exp1) experimental; urgency=low

  * New upstream release
  * Decouple the build process from gcc (use /usr/bin/cc instead of gcc)
  * Remove the warning no-debconf-templates
  * Fix package-would-benefit-from-build-arch-targets
  * Remove some old comments
  * Introduce some of the hardening flags

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Sep 2012 07:22:36 +0200
