=== debian/control ===
--- 
+++ 
@@ -2,21 +2,35 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:  Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), gfortran, libblas-dev (>= 1.2-7),
- doxygen, python
-Standards-Version: 3.9.2
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7), gfortran, libblas-dev (>= 1.2.20110419-3),
+ doxygen, python, graphviz
+Standards-Version: 3.9.3
 Homepage: http://www.netlib.org/lapack/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/lapack/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-scicomp/lapack/
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/lapack/
+Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/lapack/
 
 Package: liblapack3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: liblapack.so.3gf, liblapack.so.3
-Conflicts: lapack99, liblapack3gf
-Replaces: lapack99, liblapack3gf
-Description: library of linear algebra routines 3 - shared version
+Provides: liblapack.so.3gf, liblapack.so.3, liblapack3gf
+Replaces: libatlas3gf-base (<< 3.8.4-4), liblapack3gf (<< 3.4.1-1)
+Breaks: libatlas3gf-base (<< 3.8.4-4), liblapack3gf (<< 3.4.1-1)
+Description: Library of linear algebra routines 3 - shared version
+ LAPACK version 3.X is a comprehensive FORTRAN library that does
+ linear algebra operations including matrix inversions, least
+ squared solutions to linear sets of equations, eigenvector
+ analysis, singular value decomposition, etc. It is a very
+ comprehensive and reputable package that has found extensive
+ use in the scientific community.
+
+Package: liblapack3gf
+Architecture: all
+Section: oldlibs
+Depends: ${misc:Depends}, liblapack3
+Description: Transitional package for liblapack3
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -42,7 +56,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, liblapacke (= ${binary:Version})
-Description: library of linear algebra routines 3 - Headers
+Description: Library of linear algebra routines 3 - Headers
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -58,9 +72,7 @@
 Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
  libblas-dev | libblas-3.so
 Provides: liblapack-3.so
-Conflicts: lapack99-dev, lapack-dev, liblapack-3.so
-Replaces: lapack99-dev, lapack-dev, liblapack-3.so
-Description: library of linear algebra routines 3 - static version
+Description: Library of linear algebra routines 3 - static version
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -74,7 +86,7 @@
 Conflicts: lapack-pic, lapack3-pic
 Replaces: lapack-pic, lapack3-pic
 Depends: ${misc:Depends}, liblapack3 (= ${binary:Version})
-Description: library of linear algebra routines 3 - static PIC version
+Description: Library of linear algebra routines 3 - static PIC version
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -88,12 +100,13 @@
  objects in their own build process.
 
 Package: liblapack-test
-Section: libdevel
+Section: devel
+Priority: extra
 Architecture: any
-Conflicts: lapack-test,lapack3-test
-Replaces: lapack-test,lapack3-test
+Conflicts: lapack-test, lapack3-test
+Replaces: lapack-test, lapack3-test
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: library of linear algebra routines 3 - testing programs
+Description: Library of linear algebra routines 3 - testing programs
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -113,9 +126,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: lapack-doc,lapack3-doc
-Replaces: lapack-doc,lapack3-doc
-Description: library of linear algebra routines 3 - documentation
+Conflicts: lapack-doc, lapack3-doc
+Replaces: lapack-doc, lapack3-doc
+Description: Library of linear algebra routines 3 - documentation
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -131,7 +144,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: library of linear algebra routines 3 - documentation (manual pages)
+Description: Library of linear algebra routines 3 - documentation (manual pages)
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
  squared solutions to linear sets of equations, eigenvector
@@ -140,4 +153,3 @@
  use in the scientific community.
  .
  This package contains the Lapack User's Guide manual in man format.
-
