=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 MN:=0
 VERS:=$(SO).$(MN)
 
-GCC:=gcc
+CC:=/usr/bin/cc
 
 ARCH:=$(shell dpkg --print-architecture)
 F77:=gfortran
@@ -83,7 +83,7 @@
 	echo "Building liblapack.so.$(VERS) from liblapack_pic.a"
 	mkdir -p tmp
 	cd tmp && ar x ../$<
-	$(F77) -shared -Wl,-soname=liblapack.so.$(SO) -o $@ tmp/*.o  -L. -lblas
+	$(F77) -shared -Wl,-soname=liblapack.so.$(SO) -o $@ tmp/*.o  -L. -lblas $(shell dpkg-buildflags --get LDFLAGS)
 	rm -rf tmp
 
 liblapack.so.$(SO): liblapack.so.$(VERS)
@@ -102,7 +102,7 @@
 	echo "Building liblapacke_pic.a"
 	cd lapacke; \
 	$(MAKE) cleanlib; \
-	$(MAKE) CFLAGS="$(OPTOPTS) -fPIC"; \
+	$(MAKE) CFLAGS="$(OPTOPTS) -fPIC $(shell dpkg-buildflags --get CFLAGS)"; \
 	mv ../liblapacke.a $@
 
 
@@ -111,7 +111,7 @@
 	cd lapacke; \
 	mkdir -p tmp; \
 	cd tmp && ar x ../$< && cd -; \
-	$(GCC) -shared -Wl,-soname=liblapacke.so.$(SO) -o $@ tmp/*.o  -L.. -lblas -llapack; \
+	$(CC) -shared -Wl,-soname=liblapacke.so.$(SO) -o $@ tmp/*.o  -L.. -lblas -llapack $(shell dpkg-buildflags --get LDFLAGS); \
 	rm -rf tmp
 
 liblapacke.so.$(SO): liblapacke.so.$(VERS)
@@ -125,11 +125,9 @@
 liblapacke.a: make.inc testing/Makefile
 	echo "Building liblapacke.a"
 	cd lapacke; \
-	$(MAKE) CFLAGS="$(OPTOPTS)"; \
-
-BF:=liblapack.a liblapack_pic.a liblapack.so  liblapacke.a  liblapacke_pic.a liblapacke.so 
-build: $(BF) make.inc
-
+	$(MAKE) CFLAGS="$(OPTOPTS) $(shell dpkg-buildflags --get CFLAGS)"; \
+
+BF:=liblapack.a liblapack_pic.a liblapack.so  liblapacke.a  liblapacke_pic.a liblapacke.so
 
 #
 #
@@ -149,16 +147,6 @@
 	zec zed zgbak zgbal zgd zgg zglm zgqr zgsv zlse znep zsb\
 	zsep zsg zsvd ztest
 
-#
-# Work around for alpha, cgqr test fails to converge
-#
-# Now fixed
-#
-# FIXME: filtering here has no effect; all tests are run.
-#ifeq ($(ARCH),alpha)
-#  TESF:=$(filter-out cgqr,$(TESF))
-#endif
-
 TESF:=$(addprefix testing/,$(addsuffix .out,$(TESF)))
 
 $(TB) $(TESF):  liblapack.so
@@ -186,11 +174,6 @@
 
 debian/liblapack3gf.templates: debian/test_results
 	cp debian/main_templates $@
-#	chmod +x debian/rawk
-#	cat $^ | debian/rawk >>$@ ; j=$$? ; echo Warning level: $$j;\
-		cat debian/liblapack3gf.config | sed "s,^STAT=.,STAT=$$j,1" >tmp && \
-		mv tmp debian/liblapack3gf.config
-#	cat $@ debian/liblapack3gf.config
 
 #
 #
@@ -200,7 +183,6 @@
 
 debian/tmp/usr/lib/lapack/%: %
 	dh_testdir
-	dh_testroot
 
 	install -m 755 -d $(@D)
 	[ -L $* ] || install -m 644 $< $(@D)
@@ -209,20 +191,13 @@
 $(addprefix debian/tmp/usr/lib/liblapack3gf/,$(subst testing/,,$(TB))): \
 	debian/tmp/usr/lib/liblapack3gf/%: testing/%
 	dh_testdir
-	dh_testroot
 
 	install -m 755 -d $(@D)
 	install -m 755 $< $(@D)
 
 
-#IF:=$(addprefix liblapack.,a so so.$(SO) so.$(VERS)) liblapack_pic.a
-#IF:=$(addprefix debian/tmp/usr/lib/lapack/,$(IF))
-#IF:=$(IF) $(addprefix debian/tmp/usr/lib/liblapack3gf/,$(subst testing/,,$(TB)))
-
 install: $(IF) $(MF3) debian/test_results debian/liblapack3gf.templates
 	dh_testdir
-	dh_testroot
-#	dh_movefiles
 
 
 #
@@ -234,7 +209,6 @@
 
 clean:: make.inc
 	dh_testdir
-	dh_testroot
 	rm -rf debian/*_stamp debian/*_results lib* testing/*out
 #	find man -name "*.$(MANEXT)" -exec rm {} \;
 	rm -rf *.a install/test* debian/test/ debian/time/
@@ -254,12 +228,14 @@
 # Package rules
 #
 #
-
+build: $(BF) make.inc build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: $(BF) make.inc
 
 # Build architecture-independent files here.
 binary-indep: doc install
 	dh_testdir -i
-	dh_testroot -i
 	dh_install -i
 	dh_installdocs -i
 	dh_installexamples -i
@@ -280,10 +256,8 @@
 # Build architecture-dependent files here.
 binary-arch: install
 	dh_testdir -a
-	dh_testroot -a
 	dh_install -a
 	dh_installdocs -a
-	dh_installdebconf -a
 	dh_installexamples -a
 	dh_installman -a -pliblapack-test
 	dh_installchangelogs -a
