## lapack 3.4.2+dfsg

=== debian/changelog ===
lapack (3.4.2+dfsg-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 9
  * Simplification and improvement of debian/rules:
    + use dh
    + remove hack to workaround timeouts in testsuite
    + ship testsuite summary generated by LAPACK build system instead of
      generating our own
    + do not run testsuite if DEB_BUILD_OPTIONS contains "nocheck"
      (Closes: #718948)
    + ensure that flags from dpkg-buildflags are injected everywhere
  * Install static library in liblapacke-dev
  * Remove remnants of old system for notifying testsuite errors at
    installation of the library
  * Switch VCS to Git
  * liblapack-dev now alternatively depends on libblas.so (Closes: #695825)
  * liblapack-dev now provides liblapack.so (instead of liblapack-3.so), for
    consistency with libblas-dev
  * Do not ship a copy of jquery.js; instead link to the version from the Debian
    package
  * Fix debian/watch

  [ Julian Taylor ]
  * strip -Bsymbolic-functions from LDFLAGS. -Bsymbolic-functions breaks
    xerbla_ error handling overrides as internal calls to it will not go
    over the plt anymore. With bfd linker --dynamic-list could be used
    instead but it doesn't seem work with gold linker. (Closes: #722252)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Sep 2013 21:59:36 +0200

lapack (3.4.2+dfsg-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * parallel_build.patch: improve patch by marking some Makefiles as not
    parallelizable; should fix FTBFS on kfreebsd-*

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Some routines produced incorrect results in multithreaded environment
    Thanks to Michael Banck for the fix (Closes: #693269)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 11:39:13 +0200

lapack (3.4.2+dfsg-1~exp1) experimental; urgency=low

  * Repackage upstream tarball. Delete non-DFSG-free files:
    lapacke/examples/example_{D,Z}GESV_rowmajor.c. (Closes: #703916)
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed control flag
  * Fixes and improvements in package build logic
    + fix build-arch and build-indep rules
    + use Build-Depends-Indep field
    + enable parallel build (in particular, new patch parallel_build.patch)
    + move test failure notice from obsolete liblapack3gf to liblapack3
  * Bump Standards-Version to 3.9.4
  * Add lintian overrides in liblapack-doc-man about bad whatis entries in
    manpages (upstream does not provide the required short descriptions)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Mar 2013 13:11:24 +0100
