=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), gfortran, libblas-dev (>= 1.2.20110419-3),
- doxygen, python, graphviz
-Standards-Version: 3.9.3
+           Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), gfortran, libblas-dev (>= 1.2.20110419-3),
+ python
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 3.9.4
 Homepage: http://www.netlib.org/lapack/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/lapack/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/lapack/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git
+XS-Testsuite: autopkgtest
 
 Package: liblapack3
 Architecture: any
@@ -70,8 +71,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
- libblas-dev | libblas-3.so
-Provides: liblapack-3.so
+ libblas-dev | libblas.so
+Provides: liblapack.so
 Description: Library of linear algebra routines 3 - static version
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
@@ -125,7 +126,7 @@
 Package: liblapack-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Conflicts: lapack-doc, lapack3-doc
 Replaces: lapack-doc, lapack3-doc
 Description: Library of linear algebra routines 3 - documentation
