=== debian/tests/control ===
Tests: xerbla-fortran
Depends: liblapack-dev, gfortran

Tests: xerbla-c
Depends: liblapacke-dev, gcc
