=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://www.netlib.org/lapack/ lapack-([\d\.]+)\.tgz debian debian/orig-tar.sh
